package jp.digick.physicom.AdkApp;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Canvas;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.View;

public class ButtonView extends View {
	private Drawable mPressed;
	private Drawable mNormal;
	
	private boolean button0;
	private boolean button1;
	private boolean button2;
	private boolean button3;

	public ButtonView(Context context) {
		super(context);
		initButtonView(context);
	}

	public ButtonView(Context context, AttributeSet attrs) {
		super(context, attrs);
		initButtonView(context);
	}

	private void initButtonView(Context context) {
		Resources r = context.getResources();
		mPressed = r.getDrawable(R.drawable.indicator_button1_on_noglow);
		mNormal = r.getDrawable(R.drawable.indicator_button1_off_noglow);
		button0 = false;
		button1 = false;
		button2 = false;
		button3 = false;
	}

	public void setButton0State(boolean state) {
		button0 = state;
		invalidate();
	}

	public void setButton1State(boolean state) {
		button1 = state;
		invalidate();
	}

	public void setButton2State(boolean state) {
		button2 = state;
		invalidate();
	}

	public void setButton3State(boolean state) {
		button3 = state;
		invalidate();
	}
	
	@Override
	protected void onDraw(Canvas canvas) {
		Drawable indicator = button0 ? mPressed : mNormal;
		Utilities.centerAround(280, 120, indicator);
		indicator.draw(canvas);

		indicator = button1 ? mPressed : mNormal;
		Utilities.centerAround(200, 40, indicator);
		indicator.draw(canvas);

		indicator = button2 ? mPressed : mNormal;
		Utilities.centerAround(200, 200, indicator);
		indicator.draw(canvas);

		indicator = button3 ? mPressed : mNormal;
		Utilities.centerAround(120, 120, indicator);
		indicator.draw(canvas);
	}
}
